Customer preferences
Save Topic Customer Preference
Save preference for a notification topic for the authenticated customer.
Authorization
bearerAuth AuthorizationBearer <token>
Customer JWT bearer authentication.
In: header
Path Parameters
notificationTopicId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.dokaai.com/api/v1/dokaai/nudge/customer-preferences/notification-topics/string" \ -H "Content-Type: application/json" \ -d '{ "isTopicNotificationOff": true }'{
"status": "success",
"message": "string",
"data": {
"status": "string"
},
"metaData": null,
"error": null
}{
"status": "error",
"message": "string",
"data": null,
"metaData": null,
"error": null
}{
"status": "error",
"message": "string",
"data": null,
"metaData": null,
"error": null
}{
"status": "error",
"message": "string",
"data": null,
"metaData": null,
"error": null
}{
"status": "error",
"message": "string",
"data": null,
"metaData": null,
"error": null
}